
package org.josso.gateway.ws._1_2.protocol;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.josso.gateway.ws._1_2.protocol package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SSOSession_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSOSession");
    private final static QName _FindUserInSecurityDomainRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "FindUserInSecurityDomainRequest");
    private final static QName _InvalidSessionError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "InvalidSessionError");
    private final static QName _FindUserInSessionResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "FindUserInSessionResponse");
    private final static QName _AssertIdentityWithSimpleAuthenticationResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "AssertIdentityWithSimpleAuthenticationResponse");
    private final static QName _GlobalSignoffRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "GlobalSignoffRequest");
    private final static QName _FindUserInSecurityDomainResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "FindUserInSecurityDomainResponse");
    private final static QName _NoSuchUserError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "NoSuchUserError");
    private final static QName _SessionRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SessionRequest");
    private final static QName _NoSuchSessionError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "NoSuchSessionError");
    private final static QName _SSOIdentityProviderError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSOIdentityProviderError");
    private final static QName _UserExistsRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "UserExistsRequest");
    private final static QName _UserExistsResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "UserExistsResponse");
    private final static QName _SSOIdentityManagerError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSOIdentityManagerError");
    private final static QName _SessionResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SessionResponse");
    private final static QName _FindRolesBySSOSessionIdRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "FindRolesBySSOSessionIdRequest");
    private final static QName _SSOUser_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSOUser");
    private final static QName _FindRolesBySSOSessionIdResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "FindRolesBySSOSessionIdResponse");
    private final static QName _SSONameValuePair_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSONameValuePair");
    private final static QName _AccessSessionResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "AccessSessionResponse");
    private final static QName _ResolveAuthenticationAssertionResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "ResolveAuthenticationAssertionResponse");
    private final static QName _SSORole_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSORole");
    private final static QName _GlobalSignoffResponse_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "GlobalSignoffResponse");
    private final static QName _AccessSessionRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "AccessSessionRequest");
    private final static QName _AssertionNotValidError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "AssertionNotValidError");
    private final static QName _AssertIdentityWithSimpleAuthenticationRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "AssertIdentityWithSimpleAuthenticationRequest");
    private final static QName _ResolveAuthenticationAssertionRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "ResolveAuthenticationAssertionRequest");
    private final static QName _SSOSessionError_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "SSOSessionError");
    private final static QName _FindUserInSessionRequest_QNAME = new QName("urn:org:josso:gateway:ws:1.2:protocol", "FindUserInSessionRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.josso.gateway.ws._1_2.protocol
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AssertIdentityWithSimpleAuthenticationRequestType }
     * 
     */
    public AssertIdentityWithSimpleAuthenticationRequestType createAssertIdentityWithSimpleAuthenticationRequestType() {
        return new AssertIdentityWithSimpleAuthenticationRequestType();
    }

    /**
     * Create an instance of {@link NoSuchSessionErrorType }
     * 
     */
    public NoSuchSessionErrorType createNoSuchSessionErrorType() {
        return new NoSuchSessionErrorType();
    }

    /**
     * Create an instance of {@link FindRolesBySSOSessionIdRequestType }
     * 
     */
    public FindRolesBySSOSessionIdRequestType createFindRolesBySSOSessionIdRequestType() {
        return new FindRolesBySSOSessionIdRequestType();
    }

    /**
     * Create an instance of {@link FindRolesBySSOSessionIdResponseType }
     * 
     */
    public FindRolesBySSOSessionIdResponseType createFindRolesBySSOSessionIdResponseType() {
        return new FindRolesBySSOSessionIdResponseType();
    }

    /**
     * Create an instance of {@link SessionRequestType }
     * 
     */
    public SessionRequestType createSessionRequestType() {
        return new SessionRequestType();
    }

    /**
     * Create an instance of {@link AssertionNotValidErrorType }
     * 
     */
    public AssertionNotValidErrorType createAssertionNotValidErrorType() {
        return new AssertionNotValidErrorType();
    }

    /**
     * Create an instance of {@link SSOUserType }
     * 
     */
    public SSOUserType createSSOUserType() {
        return new SSOUserType();
    }

    /**
     * Create an instance of {@link GlobalSignoffResponseType }
     * 
     */
    public GlobalSignoffResponseType createGlobalSignoffResponseType() {
        return new GlobalSignoffResponseType();
    }

    /**
     * Create an instance of {@link SSOSessionType }
     * 
     */
    public SSOSessionType createSSOSessionType() {
        return new SSOSessionType();
    }

    /**
     * Create an instance of {@link SSOIdentityProviderErrorType }
     * 
     */
    public SSOIdentityProviderErrorType createSSOIdentityProviderErrorType() {
        return new SSOIdentityProviderErrorType();
    }

    /**
     * Create an instance of {@link AccessSessionRequestType }
     * 
     */
    public AccessSessionRequestType createAccessSessionRequestType() {
        return new AccessSessionRequestType();
    }

    /**
     * Create an instance of {@link AccessSessionResponseType }
     * 
     */
    public AccessSessionResponseType createAccessSessionResponseType() {
        return new AccessSessionResponseType();
    }

    /**
     * Create an instance of {@link SSONameValuePairType }
     * 
     */
    public SSONameValuePairType createSSONameValuePairType() {
        return new SSONameValuePairType();
    }

    /**
     * Create an instance of {@link UserExistsResponseType }
     * 
     */
    public UserExistsResponseType createUserExistsResponseType() {
        return new UserExistsResponseType();
    }

    /**
     * Create an instance of {@link FindUserInSessionRequestType }
     * 
     */
    public FindUserInSessionRequestType createFindUserInSessionRequestType() {
        return new FindUserInSessionRequestType();
    }

    /**
     * Create an instance of {@link FindUserInSessionResponseType }
     * 
     */
    public FindUserInSessionResponseType createFindUserInSessionResponseType() {
        return new FindUserInSessionResponseType();
    }

    /**
     * Create an instance of {@link NoSuchUserErrorType }
     * 
     */
    public NoSuchUserErrorType createNoSuchUserErrorType() {
        return new NoSuchUserErrorType();
    }

    /**
     * Create an instance of {@link GlobalSignoffRequestType }
     * 
     */
    public GlobalSignoffRequestType createGlobalSignoffRequestType() {
        return new GlobalSignoffRequestType();
    }

    /**
     * Create an instance of {@link SSORoleType }
     * 
     */
    public SSORoleType createSSORoleType() {
        return new SSORoleType();
    }

    /**
     * Create an instance of {@link AssertIdentityWithSimpleAuthenticationResponseType }
     * 
     */
    public AssertIdentityWithSimpleAuthenticationResponseType createAssertIdentityWithSimpleAuthenticationResponseType() {
        return new AssertIdentityWithSimpleAuthenticationResponseType();
    }

    /**
     * Create an instance of {@link InvalidSessionErrorType }
     * 
     */
    public InvalidSessionErrorType createInvalidSessionErrorType() {
        return new InvalidSessionErrorType();
    }

    /**
     * Create an instance of {@link ResolveAuthenticationAssertionRequestType }
     * 
     */
    public ResolveAuthenticationAssertionRequestType createResolveAuthenticationAssertionRequestType() {
        return new ResolveAuthenticationAssertionRequestType();
    }

    /**
     * Create an instance of {@link FindUserInSecurityDomainRequestType }
     * 
     */
    public FindUserInSecurityDomainRequestType createFindUserInSecurityDomainRequestType() {
        return new FindUserInSecurityDomainRequestType();
    }

    /**
     * Create an instance of {@link SessionResponseType }
     * 
     */
    public SessionResponseType createSessionResponseType() {
        return new SessionResponseType();
    }

    /**
     * Create an instance of {@link ResolveAuthenticationAssertionResponseType }
     * 
     */
    public ResolveAuthenticationAssertionResponseType createResolveAuthenticationAssertionResponseType() {
        return new ResolveAuthenticationAssertionResponseType();
    }

    /**
     * Create an instance of {@link SSOIdentityManagerErrorType }
     * 
     */
    public SSOIdentityManagerErrorType createSSOIdentityManagerErrorType() {
        return new SSOIdentityManagerErrorType();
    }

    /**
     * Create an instance of {@link FindUserInSecurityDomainResponseType }
     * 
     */
    public FindUserInSecurityDomainResponseType createFindUserInSecurityDomainResponseType() {
        return new FindUserInSecurityDomainResponseType();
    }

    /**
     * Create an instance of {@link UserExistsRequestType }
     * 
     */
    public UserExistsRequestType createUserExistsRequestType() {
        return new UserExistsRequestType();
    }

    /**
     * Create an instance of {@link SSOSessionErrorType }
     * 
     */
    public SSOSessionErrorType createSSOSessionErrorType() {
        return new SSOSessionErrorType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSOSessionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSOSession")
    public JAXBElement<SSOSessionType> createSSOSession(SSOSessionType value) {
        return new JAXBElement<SSOSessionType>(_SSOSession_QNAME, SSOSessionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindUserInSecurityDomainRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "FindUserInSecurityDomainRequest")
    public JAXBElement<FindUserInSecurityDomainRequestType> createFindUserInSecurityDomainRequest(FindUserInSecurityDomainRequestType value) {
        return new JAXBElement<FindUserInSecurityDomainRequestType>(_FindUserInSecurityDomainRequest_QNAME, FindUserInSecurityDomainRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InvalidSessionErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "InvalidSessionError")
    public JAXBElement<InvalidSessionErrorType> createInvalidSessionError(InvalidSessionErrorType value) {
        return new JAXBElement<InvalidSessionErrorType>(_InvalidSessionError_QNAME, InvalidSessionErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindUserInSessionResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "FindUserInSessionResponse")
    public JAXBElement<FindUserInSessionResponseType> createFindUserInSessionResponse(FindUserInSessionResponseType value) {
        return new JAXBElement<FindUserInSessionResponseType>(_FindUserInSessionResponse_QNAME, FindUserInSessionResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssertIdentityWithSimpleAuthenticationResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "AssertIdentityWithSimpleAuthenticationResponse")
    public JAXBElement<AssertIdentityWithSimpleAuthenticationResponseType> createAssertIdentityWithSimpleAuthenticationResponse(AssertIdentityWithSimpleAuthenticationResponseType value) {
        return new JAXBElement<AssertIdentityWithSimpleAuthenticationResponseType>(_AssertIdentityWithSimpleAuthenticationResponse_QNAME, AssertIdentityWithSimpleAuthenticationResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GlobalSignoffRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "GlobalSignoffRequest")
    public JAXBElement<GlobalSignoffRequestType> createGlobalSignoffRequest(GlobalSignoffRequestType value) {
        return new JAXBElement<GlobalSignoffRequestType>(_GlobalSignoffRequest_QNAME, GlobalSignoffRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindUserInSecurityDomainResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "FindUserInSecurityDomainResponse")
    public JAXBElement<FindUserInSecurityDomainResponseType> createFindUserInSecurityDomainResponse(FindUserInSecurityDomainResponseType value) {
        return new JAXBElement<FindUserInSecurityDomainResponseType>(_FindUserInSecurityDomainResponse_QNAME, FindUserInSecurityDomainResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NoSuchUserErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "NoSuchUserError")
    public JAXBElement<NoSuchUserErrorType> createNoSuchUserError(NoSuchUserErrorType value) {
        return new JAXBElement<NoSuchUserErrorType>(_NoSuchUserError_QNAME, NoSuchUserErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SessionRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SessionRequest")
    public JAXBElement<SessionRequestType> createSessionRequest(SessionRequestType value) {
        return new JAXBElement<SessionRequestType>(_SessionRequest_QNAME, SessionRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NoSuchSessionErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "NoSuchSessionError")
    public JAXBElement<NoSuchSessionErrorType> createNoSuchSessionError(NoSuchSessionErrorType value) {
        return new JAXBElement<NoSuchSessionErrorType>(_NoSuchSessionError_QNAME, NoSuchSessionErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSOIdentityProviderErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSOIdentityProviderError")
    public JAXBElement<SSOIdentityProviderErrorType> createSSOIdentityProviderError(SSOIdentityProviderErrorType value) {
        return new JAXBElement<SSOIdentityProviderErrorType>(_SSOIdentityProviderError_QNAME, SSOIdentityProviderErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UserExistsRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "UserExistsRequest")
    public JAXBElement<UserExistsRequestType> createUserExistsRequest(UserExistsRequestType value) {
        return new JAXBElement<UserExistsRequestType>(_UserExistsRequest_QNAME, UserExistsRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UserExistsResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "UserExistsResponse")
    public JAXBElement<UserExistsResponseType> createUserExistsResponse(UserExistsResponseType value) {
        return new JAXBElement<UserExistsResponseType>(_UserExistsResponse_QNAME, UserExistsResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSOIdentityManagerErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSOIdentityManagerError")
    public JAXBElement<SSOIdentityManagerErrorType> createSSOIdentityManagerError(SSOIdentityManagerErrorType value) {
        return new JAXBElement<SSOIdentityManagerErrorType>(_SSOIdentityManagerError_QNAME, SSOIdentityManagerErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SessionResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SessionResponse")
    public JAXBElement<SessionResponseType> createSessionResponse(SessionResponseType value) {
        return new JAXBElement<SessionResponseType>(_SessionResponse_QNAME, SessionResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindRolesBySSOSessionIdRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "FindRolesBySSOSessionIdRequest")
    public JAXBElement<FindRolesBySSOSessionIdRequestType> createFindRolesBySSOSessionIdRequest(FindRolesBySSOSessionIdRequestType value) {
        return new JAXBElement<FindRolesBySSOSessionIdRequestType>(_FindRolesBySSOSessionIdRequest_QNAME, FindRolesBySSOSessionIdRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSOUserType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSOUser")
    public JAXBElement<SSOUserType> createSSOUser(SSOUserType value) {
        return new JAXBElement<SSOUserType>(_SSOUser_QNAME, SSOUserType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindRolesBySSOSessionIdResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "FindRolesBySSOSessionIdResponse")
    public JAXBElement<FindRolesBySSOSessionIdResponseType> createFindRolesBySSOSessionIdResponse(FindRolesBySSOSessionIdResponseType value) {
        return new JAXBElement<FindRolesBySSOSessionIdResponseType>(_FindRolesBySSOSessionIdResponse_QNAME, FindRolesBySSOSessionIdResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSONameValuePairType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSONameValuePair")
    public JAXBElement<SSONameValuePairType> createSSONameValuePair(SSONameValuePairType value) {
        return new JAXBElement<SSONameValuePairType>(_SSONameValuePair_QNAME, SSONameValuePairType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AccessSessionResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "AccessSessionResponse")
    public JAXBElement<AccessSessionResponseType> createAccessSessionResponse(AccessSessionResponseType value) {
        return new JAXBElement<AccessSessionResponseType>(_AccessSessionResponse_QNAME, AccessSessionResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResolveAuthenticationAssertionResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "ResolveAuthenticationAssertionResponse")
    public JAXBElement<ResolveAuthenticationAssertionResponseType> createResolveAuthenticationAssertionResponse(ResolveAuthenticationAssertionResponseType value) {
        return new JAXBElement<ResolveAuthenticationAssertionResponseType>(_ResolveAuthenticationAssertionResponse_QNAME, ResolveAuthenticationAssertionResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSORoleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSORole")
    public JAXBElement<SSORoleType> createSSORole(SSORoleType value) {
        return new JAXBElement<SSORoleType>(_SSORole_QNAME, SSORoleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GlobalSignoffResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "GlobalSignoffResponse")
    public JAXBElement<GlobalSignoffResponseType> createGlobalSignoffResponse(GlobalSignoffResponseType value) {
        return new JAXBElement<GlobalSignoffResponseType>(_GlobalSignoffResponse_QNAME, GlobalSignoffResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AccessSessionRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "AccessSessionRequest")
    public JAXBElement<AccessSessionRequestType> createAccessSessionRequest(AccessSessionRequestType value) {
        return new JAXBElement<AccessSessionRequestType>(_AccessSessionRequest_QNAME, AccessSessionRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssertionNotValidErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "AssertionNotValidError")
    public JAXBElement<AssertionNotValidErrorType> createAssertionNotValidError(AssertionNotValidErrorType value) {
        return new JAXBElement<AssertionNotValidErrorType>(_AssertionNotValidError_QNAME, AssertionNotValidErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssertIdentityWithSimpleAuthenticationRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "AssertIdentityWithSimpleAuthenticationRequest")
    public JAXBElement<AssertIdentityWithSimpleAuthenticationRequestType> createAssertIdentityWithSimpleAuthenticationRequest(AssertIdentityWithSimpleAuthenticationRequestType value) {
        return new JAXBElement<AssertIdentityWithSimpleAuthenticationRequestType>(_AssertIdentityWithSimpleAuthenticationRequest_QNAME, AssertIdentityWithSimpleAuthenticationRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResolveAuthenticationAssertionRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "ResolveAuthenticationAssertionRequest")
    public JAXBElement<ResolveAuthenticationAssertionRequestType> createResolveAuthenticationAssertionRequest(ResolveAuthenticationAssertionRequestType value) {
        return new JAXBElement<ResolveAuthenticationAssertionRequestType>(_ResolveAuthenticationAssertionRequest_QNAME, ResolveAuthenticationAssertionRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SSOSessionErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "SSOSessionError")
    public JAXBElement<SSOSessionErrorType> createSSOSessionError(SSOSessionErrorType value) {
        return new JAXBElement<SSOSessionErrorType>(_SSOSessionError_QNAME, SSOSessionErrorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindUserInSessionRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:org:josso:gateway:ws:1.2:protocol", name = "FindUserInSessionRequest")
    public JAXBElement<FindUserInSessionRequestType> createFindUserInSessionRequest(FindUserInSessionRequestType value) {
        return new JAXBElement<FindUserInSessionRequestType>(_FindUserInSessionRequest_QNAME, FindUserInSessionRequestType.class, null, value);
    }

}
